net.sf.jasperreports.web.servlets

## Class ImageServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.sf.jasperreports.web.servlets.AbstractServlet
      - - net.sf.jasperreports.web.servlets.ImageServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

  Deprecated.
  Replaced by `ImageWebResourceHandler` and `ResourceServlet`.

      public class ImageServlet
      extends AbstractServlet

  Version:
    $Id: ImageServlet.java 6413 2013-08-26 17:52:47Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `REQUEST_PARAMETER_IMAGE_NAME` Deprecated. Replaced by `ImageWebResourceHandler.REQUEST_PARAMETER_IMAGE_NAME`.

    - ### Fields inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `HTML_ACCEPT_HEADER, HTML_CONTENT_TYPE, JSON_ACCEPT_HEADER, JSON_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageServlet()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `getJasperReportsContext, setJasperReportsContext, setNoExpire`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REQUEST_PARAMETER_IMAGE_NAME

          public static final java.lang.String REQUEST_PARAMETER_IMAGE_NAME

      Deprecated. Replaced by `ImageWebResourceHandler.REQUEST_PARAMETER_IMAGE_NAME`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImageServlet

          public ImageServlet()

      Deprecated.

  - ### Method Detail

    - #### service

          public void service(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

      Deprecated.
      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com